Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.cms.ui.admin
Class CMSContentEditorPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.core.cms.ui.admin.CMSContentEditorPortlet

All Implemented Interfaces:
  Portlet

    public class CMSContentEditorPortlet

extends GenericPortlet

Version:
  $Revision: 8785 $
Author:
  Thomas Heute

Constructor Summary
`CMSContentEditorPortlet()`

Method Summary
`protected void` | `doDispatch(RenderRequest req, RenderResponse resp)` The default implementation of this method routes the render request to a set of helper methods depending on the current portlet mode the portlet is currently in.
`protected void` | `doEditContent(RenderRequest req, RenderResponse resp)`
`void` | `init()` A convenience method which can be overridden so that there's no need to call `super.init(config)`.
`void` | `processAction(ActionRequest req, ActionResponse resp)` Called by the portlet container to allow the portlet to process an action request.

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doEdit, doHelp, doView, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSContentEditorPortlet

    public CMSContentEditorPortlet()

Method Detail

### init

    public void init()
              throws PortletException

  Description copied from class: `GenericPortlet`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  Instead of overriding `GenericPortlet.init(PortletConfig)`, simply override this method and it will be called by `GenericPortlet.init(PortletConfig config)`. The `PortletConfig` object can still be retrieved via `GenericPortlet.getPortletConfig()`.

  Overrides:
    `init` in class `GenericPortlet`
  Throws:
    `PortletException` - if an exception has occurred that interferes with the portlet normal operation.
    `UnavailableException` - if the portlet is unavailable to perform init

### processAction

    public void processAction(ActionRequest req,
                              ActionResponse resp)
                       throws PortletException,
                              PortletSecurityException,
                              java.io.IOException

  Description copied from class: `GenericPortlet`
  Called by the portlet container to allow the portlet to process an action request. This method is called if the client request was originated by a URL created (by the portlet) with the `RenderResponse.createActionURL()` method.

  The default implementation throws an exception.

  Specified by:
    `processAction` in interface `Portlet`
  Overrides:
    `processAction` in class `GenericPortlet`
  Parameters:
    `req` - the action request
    `resp` - the action response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to process the action at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

### doDispatch

    protected void doDispatch(RenderRequest req,
                              RenderResponse resp)
                       throws PortletException,
                              PortletSecurityException,
                              java.io.IOException

  Description copied from class: `GenericPortlet`
  The default implementation of this method routes the render request to a set of helper methods depending on the current portlet mode the portlet is currently in. These methods are:
  - `doView` for handling `view` requests
  - `doEdit` for handling `edit` requests
  - `doHelp` for handling `help` requests

  If the window state of this portlet is `minimized`, this method does not invoke any of the portlet mode rendering methods.

  For handling custom portlet modes the portlet should override this method.

  Overrides:
    `doDispatch` in class `GenericPortlet`
  Parameters:
    `req` - the render request
    `resp` - the render response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem
  See Also:
    `GenericPortlet.doView(RenderRequest,RenderResponse)`, `GenericPortlet.doEdit(RenderRequest,RenderResponse)`, `GenericPortlet.doHelp(RenderRequest,RenderResponse)`

### doEditContent

    protected void doEditContent(RenderRequest req,
                                 RenderResponse resp)
                          throws PortletException,
                                 PortletSecurityException,
                                 java.io.IOException

  Throws:
    `PortletException`
    `PortletSecurityException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD